# Build directories
build/
**/build/
**/cmake-build-*/
output/
**/openssl-*/


# Compiled Object files
*.slo
*.lo
*.o
*.obj

# Precompiled Headers
*.gch
*.pch

# Compiled Dynamic libraries
*.so
*.dylib
*.dll

# Compiled Static libraries
*.lai
*.la
*.a
*.lib

# Executables
*.exe
*.out
*.app

# CMake
CMakeCache.txt
CMakeFiles/
cmake_install.cmake
install_manifest.txt
compile_commands.json
CTestTestfile.cmake

# IDE - VSCode

# IDE - CLion
.idea/
*.iml
*.iws
*.ipr

# Test data
dehydrate_test_data/
test_temp/

# macOS
.DS_Store
.AppleDouble
.LSOverride 
